WARNING in hptSomeThingsBelowUs

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

WARNING in hptSomeThingsBelowUs

Ben Franksen
This is what I get after removing a file from the working tree and also
from the cabal file for the project and then rebuild.

WARNING in hptSomeThingsBelowUs
  missing module Darcs.Util.Environment
  Probable cause: out-of-date interface files

I am using cabal new-build. Cabal folks tell me this is a ghc problem. I
am using ghc-7.10.3.

Cheers
Ben

_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: WARNING in hptSomeThingsBelowUs

Evan Laforge
I've been seeing this since 6.12.  I brought it up 7 (!) years ago,
but unfortunately it doesn't look like I filed a bug as Simon
requested.  I probably failed to reproduce easily, and then forgot.
But it still definitely happens.

On Wed, Mar 22, 2017 at 3:59 PM, Ben Franksen <[hidden email]> wrote:

> This is what I get after removing a file from the working tree and also
> from the cabal file for the project and then rebuild.
>
> WARNING in hptSomeThingsBelowUs
>   missing module Darcs.Util.Environment
>   Probable cause: out-of-date interface files
>
> I am using cabal new-build. Cabal folks tell me this is a ghc problem. I
> am using ghc-7.10.3.
>
> Cheers
> Ben
>
> _______________________________________________
> Glasgow-haskell-users mailing list
> [hidden email]
> http://mail.haskell.org/cgi-bin/mailman/listinfo/glasgow-haskell-users
_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: WARNING in hptSomeThingsBelowUs

Ben Franksen
I can provide a test case (the darcs darcs repo) where I have just seen
this for the second time.

Am 23.03.2017 um 00:43 schrieb Evan Laforge:

> I've been seeing this since 6.12.  I brought it up 7 (!) years ago,
> but unfortunately it doesn't look like I filed a bug as Simon
> requested.  I probably failed to reproduce easily, and then forgot.
> But it still definitely happens.
>
> On Wed, Mar 22, 2017 at 3:59 PM, Ben Franksen <[hidden email]> wrote:
>> This is what I get after removing a file from the working tree and also
>> from the cabal file for the project and then rebuild.
>>
>> WARNING in hptSomeThingsBelowUs
>>   missing module Darcs.Util.Environment
>>   Probable cause: out-of-date interface files
>>
>> I am using cabal new-build. Cabal folks tell me this is a ghc problem. I
>> am using ghc-7.10.3.


_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/glasgow-haskell-users